function tabListAdd( %list, %value )
{
	return %list @ ( strLen( %list ) ? "\t" : "" ) @ %value;
}

function tabListHas( %list, %value )
{
	%count = getFieldCount( %list );

	for ( %i = 0 ; %i < %count ; %i++ )
	{
		if ( getField( %list, %i ) $= %value )
		{
			return true;
		}
	}

	return false;
}

function tabListRemove( %list, %value )
{
	%list = "" TAB %list TAB "";
	%value = "" TAB %value TAB "";
	%pos = strPos( %list, %value );

	if ( %pos < 0 )
	{
		return getSubStr( %list, 1, strLen( %list ) - 2 );
	}

	%list = getSubStr( %list, 0, %pos ) @ getSubStr( %list, %pos + strLen( %value ), strLen( %list ) );
	return getSubStr( %list, 1, strLen( %list ) - 1 );
}

function tabListGet( %list, %i )
{
	return getField( %list, %i );
}

function tabListSize( %list )
{
	return getFieldCount( %list );
}