function AIPlayer::tick( %this )
{
	if ( !isObject( %this.behavior ) )
	{
		%this.visionSet.clear();
		%this.conditions = "";
		%this.state = "idle";
		%this.schedule = "";
		%this.schedule_progress = -1;

		return;
	}

	%this.updateVision();
	%this.updateConditions();
	%this.updateState();

	bottomPrintAll( "visible objects: " @ %this.visionSet.getCount() NL "audible sounds: " @ $ASL::Count );
	return;
	%count = %this.visionSet.getCount();
	%point = "0 0 0";
	%denom = 0;

	for ( %i = 0 ; %i < %count ; %i++ )
	{
		%search = %this.visionSet.getObject( %i );

		if ( %search.getClassName() $= "Player" )
		{
			%this.setMoveDestination( %search.position );
			%this.setAimLocation( %search.position );
			break;
		}
	}

	return;

	if ( strLen( %this.schedule ) )
	{
		%count = getFieldCount( %this.conditions );

		for ( %i = 0 ; %i < %count ; %i++ )
		{
			%cond = getField( %this.conditions, %i );

			if ( strLen( %cond ) && %this.behavior.schedule_interrupt[ %this.schedule, %cond ] )
			{
				%this.interruptSchedule();
			}
		}
	}

	if ( strLen( %this.schedule ) )
	{
		%this.progressSchedule();
	}

	if ( !strLen( %this.schedule ) )
	{
		%this.chooseSchedule();
	}
}

function AIPlayer::setState( %this, %handle )
{
	%this.state = %handle;
}